Bug 1539762 - [PRD][RFE] Ansible Next Gen - Playbook Seeding
Summary: [PRD][RFE] Ansible Next Gen - Playbook Seeding
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Greg McCullough
QA Contact: Satyajit Bulage
URL:
Whiteboard:
Depends On:
Blocks: 1566658
TreeView+ depends on / blocked
 
Reported: 2018-01-29 14:53 UTC by John Hardy
Modified: 2019-02-11 14:03 UTC (History)
10 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1566658 (view as bug list)
Environment:
Last Closed: 2019-02-11 14:03:10 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description John Hardy 2018-01-29 14:53:18 UTC
Enable playbooks to be supplied from a RPM at brew time to be included, configured for execution by the Ansible Inside runner.

Provider Developers wish to use playbooks for automation off menu items within their providers. Example,

Menu Item - Extend Cluster….Runs a playbook. 

https://docs.google.com/presentation/d/1wd_ZxgtfWS5CfKAm1CdyEEsZSt4vaDXg_hmLkFCaXzY/edit#slide=id.g32996046f9_0_4

Comment 6 Greg McCullough 2018-03-06 16:09:45 UTC
Will leave the needinfo flag for now, but we are working on a design doc for this feature.

Comment 7 Greg McCullough 2018-03-08 22:22:26 UTC
Design doc: https://github.com/ManageIQ/manageiq-design/issues/40

Comment 9 Greg McCullough 2018-03-22 17:56:08 UTC
Content repo PR https://github.com/ManageIQ/manageiq-content/pull/254

JoeR is working on the Platform seeding effort.  Will update with PR link when available.

Comment 12 Joe Rafaniello 2018-04-06 14:01:04 UTC
2 of the 3 PRs are still open and not yet merged.

[x] merged:     https://github.com/ManageIQ/manageiq/pull/17096 
[ ] not merged: https://github.com/ManageIQ/manageiq-content/pull/254
[ ] not merged: https://github.com/ManageIQ/manageiq/pull/17185

I believe we can move this to POST once that is done.

Comment 13 CFME Bot 2018-04-06 22:00:48 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/7adff04edb009a9143f3704c1925027c332b19e1
commit 7adff04edb009a9143f3704c1925027c332b19e1
Author:     Joe Rafaniello <jrafanie@redhat.com>
AuthorDate: Wed Mar 21 15:25:43 2018 -0400
Commit:     Joe Rafaniello <jrafanie@redhat.com>
CommitDate: Wed Mar 21 15:25:43 2018 -0400

    Add seeding of gem playbook content

    https://github.com/ManageIQ/manageiq-design/issues/40
    https://bugzilla.redhat.com/show_bug.cgi?id=1539762

    All of this depends on:
    https://github.com/ManageIQ/ManageIQ/manageiq/pull/17096
    https://github.com/ManageIQ/manageiq-content/pull/254

 app/models/embedded_ansible_worker/object_management.rb | 62 +
 1 file changed, 62 insertions(+)

Comment 15 Satyajit Bulage 2019-01-14 17:04:35 UTC
Cross-checked on 5.10.0.31.20190108221820_a0968c8, Everything working fine.


Note You need to log in before you can comment on or make changes to this bug.